Skip to content

Update User Permissions ​

Update the custom permission overrides for a user at the target path. Requires ADMIN permissions and the PEOPLE_MANAGEMENT feature flag.

Parameters ​

name * are required parametersdata typedescription
userId*stringThe unique identifier of the user
body.permissions*objectMap of permission keys to boolean values to grant or revoke

Return Value ​

The updated user permissions record.

Error Codes ​

  • 400 Bad Request: Returned when parameters are invalid.
  • 401 Unauthorized: Returned when permissions are insufficient.

Examples ​

bash
curl -X POST "https://app.wombat.software/api/{targetPath}/user/:userId/permissions" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer ..." \
  -d '{"permissions": {"MANAGE_FORM": true, "DELETE_DOCUMENT": false}}'

ENDPOINTS

post/api/{targetPath}/user/:userId/permissions